Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.javaclient.analyzer
Class Worksheet

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JInternalFrame
                      samples.javaclient.analyzer.Worksheet

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class Worksheet
extends javax.swing.JInternalFrame

The Worksheet contains a dataview. It is an MDI window that is displayed in the desktop area of the application

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JInternalFrame
`javax.swing.JInternalFrame.AccessibleJInternalFrame, javax.swing.JInternalFrame.JDesktopIcon`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static java.lang.String` | `INITIALIZING`
`private oracle.dss.crosstab.Crosstab` | `m_crosstab`
`private java.util.Vector` | `m_dropTargets`
`(package private) oracle.dss.dataView.Dataview` | `m_dv`
`private javax.swing.event.InternalFrameAdapter` | `m_frameListener`
`private oracle.dss.graph.Graph` | `m_graph`
`(package private) boolean` | `m_isDirty`
`private java.util.Vector` | `m_listeners`
`(package private) javax.swing.JPanel` | `m_pagePanel`
`(package private) Analyzer` | `m_parentFrame`
`(package private) java.lang.String` | `m_path`
`(package private) java.lang.String` | `m_title`

Fields inherited from class javax.swing.JInternalFrame
`closable, CONTENT_PANE_PROPERTY, desktopIcon, FRAME_ICON_PROPERTY, frameIcon, GLASS_PANE_PROPERTY, iconable, IS_CLOSED_PROPERTY, IS_ICON_PROPERTY, IS_MAXIMUM_PROPERTY, IS_SELECTED_PROPERTY, isClosed, isIcon, isMaximum, isSelected, LAYERED_PANE_PROPERTY, maximizable, MENU_BAR_PROPERTY, resizable, ROOT_PANE_PROPERTY, rootPane, rootPaneCheckingEnabled, title, TITLE_PROPERTY`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Worksheet(javax.swing.JFrame parent)`

Method Summary
`void` | `addDataview(oracle.dss.dataView.Dataview dv)` Adds a dataview to the page.
`private void` | `addDataview(oracle.dss.dataView.Dataview dv, boolean addListeners)` Adds a dataview to the page.
`void` | `addDropTarget(oracle.dss.dataView.Dataview dv)` Make the dataviews in the worksheet valid drop targets (for favorites and saved selections
`void` | `cleanUp()` Clean up for the application.
`oracle.dss.dataView.Dataview` | `getActiveDataview()` Returns the dataview in the worksheet that is currently in focus (this would be more use if the worksheet contained multiple dataviews)
`java.lang.String` | `getActiveDataviewPath()` Return the path to the dataview (including its name) For example: "/My Reports/Sales Trends"
`oracle.dss.util.DataSource` | `getDataSource()` Return the datasource that is being used by the worksheet
`java.lang.String` | `getDataviewType()` Returns the type of dataview: Analyzer.VIEW_GRAPH or Analyzer.VIEW_CROSSTAB
`java.lang.String` | `getTitle()` Return the worksheet title.
`javax.swing.JPanel` | `getWorksheetPanel()`
`boolean` | `isDirty()` Returns a boolean indicating whether the worksheet has changed in any way.
`void` | `setActiveDataview(oracle.dss.dataView.Dataview dataview)` Specify the selected dataview in the worksheet
`void` | `setActiveDataviewPath(java.lang.String path)` Set the path to the dataview (including its name) For example: "/My Reports/Sales Trends"
`void` | `setDataviewType(java.lang.String viewType)` Change the view type of the current data view.
`void` | `setDirty(boolean isDirty)` Specify whether or not the worksheet has changed in any way - or is dirty This is not really implemented yet.
`void` | `setTitle(java.lang.String title)` Set the title for the Worksheet (e.g.

Methods inherited from class javax.swing.JInternalFrame
`addImpl, addInternalFrameListener, createRootPane, dispose, doDefaultCloseAction, fireInternalFrameEvent, getAccessibleContext, getContentPane, getDefaultCloseOperation, getDesktopIcon, getDesktopPane, getFocusCycleRootAncestor, getFocusOwner, getFrameIcon, getGlassPane, getInternalFrameListeners, getJMenuBar, getLayer, getLayeredPane, getMenuBar, getMostRecentFocusOwner, getNormalBounds, getRootPane, getUI, getUIClassID, getWarningString, hide, isClosable, isClosed, isFocusCycleRoot, isIcon, isIconifiable, isMaximizable, isMaximum, isResizable, isRootPaneCheckingEnabled, isSelected, moveToBack, moveToFront, pack, paintComponent, paramString, remove, removeInternalFrameListener, reshape, restoreSubcomponentFocus, setClosable, setClosed, setContentPane, setDefaultCloseOperation, setDesktopIcon, setFocusCycleRoot, setFrameIcon, setGlassPane, setIcon, setIconifiable, setJMenuBar, setLayer, setLayer, setLayeredPane, setLayout, setMaximizable, setMaximum, setMenuBar, setNormalBounds, setResizable, setRootPane, setRootPaneCheckingEnabled, setSelected, setUI, show, toBack, toFront, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_pagePanel

    javax.swing.JPanel m_pagePanel

### m_dv

    oracle.dss.dataView.Dataview m_dv

### m_path

    java.lang.String m_path

### m_parentFrame

    Analyzer m_parentFrame

### m_title

    java.lang.String m_title

### m_isDirty

    boolean m_isDirty

### INITIALIZING

    public static final java.lang.String INITIALIZING

See Also:
  Constant Field Values

### m_listeners

    private java.util.Vector m_listeners

### m_dropTargets

    private java.util.Vector m_dropTargets

### m_frameListener

    private javax.swing.event.InternalFrameAdapter m_frameListener

### m_graph

    private oracle.dss.graph.Graph m_graph

### m_crosstab

    private oracle.dss.crosstab.Crosstab m_crosstab

Constructor Detail

### Worksheet

    public Worksheet(javax.swing.JFrame parent)

Method Detail

### addDataview

    public void addDataview(oracle.dss.dataView.Dataview dv)

  Adds a dataview to the page. Will automatically add listeners to the dataview for component changes and makes the data view a drop target.

  Parameters:
    `dv` - The dataview object that should be added to the page

### addDataview

    private void addDataview(oracle.dss.dataView.Dataview dv,
                             boolean addListeners)

  Adds a dataview to the page.

  Parameters:
    `dv` - - The dataview object that should be added to the page addListeners - Specify whether listeners should be added to the dataview. Adding listeners also makes the data view a valid drop target

### getDataSource

    public oracle.dss.util.DataSource getDataSource()

  Return the datasource that is being used by the worksheet

### setDirty

    public void setDirty(boolean isDirty)

  Specify whether or not the worksheet has changed in any way - or is dirty This is not really implemented yet. Ideally, the application should prompt the user to save changes if the worksheet has changed

  Parameters:
    `isDirty` - Set the dirty flag

### isDirty

    public boolean isDirty()

  Returns a boolean indicating whether the worksheet has changed in any way.

  Returns:
    True if dirty

### setTitle

    public void setTitle(java.lang.String title)

  Set the title for the Worksheet (e.g. "/My Reports/Sales Trends")

  Parameters:
    `title` - Title for the worksheet

### getTitle

    public java.lang.String getTitle()

  Return the worksheet title. Note, this is also the path to the object in the Catalog

  Returns:
    Worksheet title

### getWorksheetPanel

    public javax.swing.JPanel getWorksheetPanel()

### addDropTarget

    public void addDropTarget(oracle.dss.dataView.Dataview dv)

  Make the dataviews in the worksheet valid drop targets (for favorites and saved selections

### cleanUp

    public void cleanUp()

  Clean up for the application. Removes all listeners associated with the page and dataviews.

### getActiveDataview

    public oracle.dss.dataView.Dataview getActiveDataview()

  Returns the dataview in the worksheet that is currently in focus (this would be more use if the worksheet contained multiple dataviews)

  Returns:
    the dataview that has focus

### setActiveDataview

    public void setActiveDataview(oracle.dss.dataView.Dataview dataview)

  Specify the selected dataview in the worksheet

### setActiveDataviewPath

    public void setActiveDataviewPath(java.lang.String path)

  Set the path to the dataview (including its name) For example: "/My Reports/Sales Trends"

### getActiveDataviewPath

    public java.lang.String getActiveDataviewPath()

  Return the path to the dataview (including its name) For example: "/My Reports/Sales Trends"

### setDataviewType

    public void setDataviewType(java.lang.String viewType)

  Change the view type of the current data view. Valid values are Analyzer.VIEW_GRAPH or Analyzer.VIEW_CROSSTAB. Keep a cached reference to the original dataview in order to preserve formatting and to achieve fast performance when changing types

  Parameters:
    `viewType` - The new view type

### getDataviewType

    public java.lang.String getDataviewType()

  Returns the type of dataview: Analyzer.VIEW_GRAPH or Analyzer.VIEW_CROSSTAB

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD